# Generated from logstash-input-s3-sns-sqs-2.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-input-s3-sns-sqs

Name: rubygem-%{gem_name}
Version: 2.1.2
Release: 1%{?dist}
Summary: Get logs from AWS s3 buckets as issued by an object-created event via sns -> sqs
License: Apache-2.0
URL: https://github.com/cherweg/logstash-input-s3-sns-sqs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(logstash-codec-json_stream) >= 1.0
# BuildRequires: rubygem(logstash-codec-json_stream) < 2
# BuildRequires: rubygem(logstash-devutils) >= 1.3
# BuildRequires: rubygem(logstash-devutils) < 2
BuildArch: noarch

%description
This gem is a logstash plugin required to be installed on top of the Logstash
core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a
stand-alone program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NOTICE.TXT
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/logstash-input-s3-sns-sqs.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 2.1.2-1
- Initial package
